shishi_ap_option2string(3)

NAME
shishi_ap_option2string - API function

SYNOPSIS
#include <shishi.h>

const char * shishi_ap_option2string(Shishi_apoptions option);

ARGUMENTS

Shishi_apoptions option
    enumerated AP-Option type, see Shishi_apoptions.

DESCRIPTION
Convert AP-Option type to AP-Option name string. Note that option must be just one of the AP-Option types, it cannot be an binary ORed indicating several AP-Options.

RETURN VALUE
Returns static string with name of AP-Option that must not be deallocated, or "unknown" if AP-Option was not understood.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.